//  Copyright (C) 2005 Jason Woofenden
//
//  This file is part of anytocbpng.
//
//  anytocbpng is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2, or (at your option)
//  any later version.
//
//  anytocbpng is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with anytocbpng; see the file COPYING.  If not, write to the
//  Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
//  MA 02111-1307, USA.


#include <stdio.h>

// This code assumes that the ppm is valid. It copies the headers as is, and
// starting just past the headers, it converts pixels until it hits EOF

// This code also assumes that the ppm is full color with 8 bit samples.

void
pixels()
{
	int red;
	int green;
	while(!feof(stdin))
	{
		red = getchar();
		green = getchar();
		putchar(green);
		putchar(green);
		putchar(getchar());
	}
}

void
header() {
	// I should check the RFC and make sure that I'm parsing the header
	// correctly. I (Jason Woofenden) just wrote this from memory... I'm
	// assuming that there are three lines (magic bytes, dimentions, sample
	// size) plus optional comment(s) that start with #)

	char c;
	int line = 0; // how many non-comment lines of headers we've passed
	int first = 1; // true/false are is this the first character on the line

	while(!feof(stdin))
	{
		c = getchar();
		putchar(c);
		if(first) {
			first = 0;
			if(c == '#') {
				--line;
			}
		}

		if(c == '\n') {
			++line;
			if(line == 3) {
				return;
			}
			first = 1;
		}
	}
}




int
main(int argc, char **argv) {
	header();
	pixels();
	return 0;
}


